<div class="map-container">
    <div class="map-options">
        <label>
            Latitude
            <input id="typeahead-template" class="form-control" [(ngModel)]="lat" type="number" [disabled]="pokemon === null">
        </label>
        <label>
            Longitude
            <input id="typeahead-template" class="form-control" [(ngModel)]="lng" type="number" [disabled]="pokemon === null">
        </label>
        <button *ngIf="pokemon!== null" (click)="addMarker()">Set</button>
        <label *ngIf="pokemon!== null" >Set position by clicking
            <input
            [(ngModel)]="iconOnClick"
                type="checkbox"> 
        </label>
    </div>
    <div id="map"></div>
</div>